/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/step-participants.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/step-participants.xml',
'<View objectType="XXAS_TEMPL_STEP_PARTIC" deleteAllowed="true" title="{message.XXAS_PG_ROLES_T}" defaultFormHandler="">

  <CreateFields>
    <Combolist id="PERF_PARTICIPANT_ID" label="Participant role" visible="true" longlist="true" required="true" listProvider="REST:participants?q={searchText}" />
    <Poplist id="START_FLAG" label="{message.XXAS_RB_TCM_START}" listProvider="LOOKUP_TYPE:YES_NO" enabled="true" value="N" description="Whether this step starts with this participant"/>
    <Poplist id="END_STEP_ALLOWED_FLAG" label="{message.XXAS_PERF_NEXT_STEP}" listProvider="LOOKUP_TYPE:YES_NO" enabled="true" value="Y" description="Whether this participant can progress the document on to the next step"/>
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/step-participants.xml');
END;
/
COMMIT;
EXIT;
